<template>
  <div class="location-groups-panel d-flex flex-grow-1 flex-column bg-light">
    <location-group-control v-for="locationGroup in locationGroups"
      :key="locationGroup.uniqueId"
      :locationGroupId="locationGroup.uniqueId"/>
  </div>
</template>

<script>
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import LocationGroupControl from '@/workspace/components/locations/LocationGroupControl'

export default {
  name: 'locationgroupspanel',

  mixins: [
    WorkspaceGetter,
  ],

  computed: {
    locationGroups: {
      get() {
        return this.$store.getters.workspaceLocationGroups(this.workspaceId).sort((a, b) => {
          if(a.title < b.title) return -1
          if(a.title > b.title) return 1
          return 0
        })
      }
    },
  },

  components: {
    LocationGroupControl,
  },
}
</script>

<style scoped>
.location-groups-panel {
  font-size: 0.8rem;
  white-space: nowrap;
}

.location-groups-panel .btn {
  font-size: 0.8rem;
}
</style>
